HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetApplicationFeesFeeRefundsId

Contains the different functions to run the operation getApplicationFeesFeeRefundsId

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetApplicationFeesFeeRefundsId.hs
valuegetApplicationFeesFeeRefundsId
  1. :: MonadHTTP m
  2. => GetApplicationFeesFeeRefundsIdParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetApplicationFeesFeeRefundsIdResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/application_fees/{fee}/refunds/{id}

<p>By default, you can see the 10 most recent refunds stored directly on the application fee object, but you can also retrieve details about a specific refund stored on the application fee.</p>

Defines the object schema located at paths./v1/application_fees/{fee}/refunds/{id}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getApplicationFeesFeeRefundsId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetApplicationFeesFeeRefundsIdResponseError is used.

Constructors

Instances2Eq, Show